hpc-0.5.0.6: Code Coverage Library for Haskell

Trace.Hpc.Tix

Description

Datatypes and file-access routines for the tick data file used by HPC. (.tix)

# Documentation

data Tix Source

Constructors

Tix [TixModule] |

Instances

Eq Tix |
Read Tix |
Show Tix |

data TixModule Source

Constructors

TixModule String Hash Int [Integer] |

Instances

Eq TixModule |
Read TixModule |
Show TixModule |

tixModuleName :: TixModule -> String Source

tixModuleHash :: TixModule -> Hash Source

tixModuleTixs :: TixModule -> [Integer]Source

readTix :: String -> IO (Maybe Tix)Source

writeTix :: String -> Tix -> IO ()Source

getTixFileName :: String -> String Source